---
updatedAt: 2026-05-27T05:24:21.000Z
agentTools:
  projectIndex: https://developers.toriihq.com/llms.txt
---

# Get app

Returns a specific app.<br/><br/><hr /><br/><br/>Example:<br/><br/>```GET /apps/1?fields=id,name,myCustomField&state=discovered&myCustomField=true```<br/><br/>The above example returns app with id=1. Each application object will contain the `id`, `name` and `myCustomField` fields.<br/><br/>Use `includeLicenses=true` to include aggregated license summary.<br/><br/>
<p><ul><li>Rate limit: 400 requests per minute</li></ul></p>

# OpenAPI definition

````json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Torii API Documentation",
    "version": "v1.0",
    "description": "The Torii API provides an easy way to integrate your data in Torii with any external system. The API closely follows REST semantics, uses JSON to encode objects, and relies on standard HTTP codes to signal operation outcomes. Torii APIs consist of both proprietary and SCIM 2.0 APIs."
  },
  "x-readme": {
    "explorer-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "tags": [
    {
      "name": "Apps"
    }
  ],
  "paths": {
    "/apps/{idApp}": {
      "get": {
        "summary": "Get app",
        "operationId": "getAppsIdapp",
        "description": "Returns a specific app.<br/><br/><hr /><br/><br/>Example:<br/><br/>```GET /apps/1?fields=id,name,myCustomField&state=discovered&myCustomField=true```<br/><br/>The above example returns app with id=1. Each application object will contain the `id`, `name` and `myCustomField` fields.<br/><br/>Use `includeLicenses=true` to include aggregated license summary.<br/><br/>\n<p><ul><li>Rate limit: 400 requests per minute</li></ul></p>",
        "parameters": [
          {
            "description": "Unique app identifier",
            "name": "idApp",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "minimum": 1,
              "maximum": 2147483647
            }
          },
          {
            "description": "List of fields to return for each application.<br>Allowed fields: `id`, `name`, `primaryOwner`, `appOwners`, `state`, `category`, `url`, `imageUrl`, `description`, `tags`, `score`, `score60`, `score90`, `isCustom`, `addedBy`, `creationTime`, `isHidden`, `sources`, `vendor`, `activeUsersCount`, `lastVisitTime` and all fields from `/apps/fields`",
            "name": "fields",
            "in": "query",
            "schema": {
              "type": "string",
              "default": [
                "id",
                "name",
                "primaryOwner"
              ]
            }
          },
          {
            "description": "Include aggregated license summary for the app",
            "name": "includeLicenses",
            "in": "query",
            "required": false,
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "tags": [
          "Apps"
        ],
        "responses": {
          "200": {
            "description": "App",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/Model23"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-alt-definitions": {
    "Model1": {
      "type": "object",
      "properties": {
        "key": {
          "type": "string",
          "x-alternatives": [
            {
              "type": "string"
            },
            {
              "type": "number"
            }
          ]
        },
        "value": {
          "type": "number"
        },
        "groupCount": {
          "type": "integer"
        },
        "aggregations": {
          "type": "string",
          "description": "Nested aggregations with the same structure as the parent"
        }
      },
      "required": [
        "key"
      ]
    },
    "aggregations": {
      "type": "array",
      "items": {
        "$ref": "#/x-alt-definitions/Model1"
      }
    },
    "type": {
      "type": "string",
      "enum": [
        "create_workflow",
        "delete_workflow",
        "duplicate_workflow",
        "update_workflow",
        "restore_workflow_version",
        "workflow_triggered_manually",
        "create_app_approval_requested_workflow",
        "update_app_approval_requested_workflow",
        "delete_app_approval_requested_workflow",
        "create_request_access_workflow",
        "create_temporary_access_expired_workflow",
        "complete_task_approval_request",
        "complete_send_application_form_task",
        "complete_send_contract_form_task",
        "cancel_task",
        "bulk_cancel_tasks",
        "update_task_notification_settings",
        "update_task_escalation_settings",
        "update_task_assignees",
        "get_tasks_as_csv",
        "complete_policy_deviation_task",
        "complete_custom_task",
        "create_campaign",
        "update_campaign",
        "delete_campaign",
        "archive_campaign_execution",
        "conclude_campaign_execution",
        "create_contract",
        "create_contract_field_in_group",
        "create_contract_fields_group",
        "delete_contract",
        "delete_contract_field",
        "delete_contracts",
        "import_contracts",
        "update_contract",
        "update_contract_field_info",
        "update_contract_group_info",
        "update_contracts",
        "reorder_contract_details_groups",
        "reorder_contract_details_fields",
        "delete_contract_form_group",
        "get_contracts_as_csv",
        "create_contract_from_email",
        "create_contract_from_bulk_upload",
        "create_user_in_organization",
        "update_user",
        "update_user_lifecycle_status",
        "update_user_form_details",
        "get_app_users_as_csv",
        "scim_create_user",
        "scim_update_user",
        "scim_delete_user",
        "scim_patch_user",
        "sync_manually_imported_users",
        "delete_manually_imported_users",
        "import_users",
        "update_mapping_and_import_users",
        "delete_manually_imported_licenses_for_app_account",
        "get_apps_users_as_csv",
        "add_app_from_catalog",
        "add_custom_app",
        "create_custom_app_token",
        "delete_app_details",
        "delete_chargeback",
        "edit_app",
        "update_app_details",
        "update_app_details_file",
        "update_app_is_hidden",
        "update_apps_details",
        "update_chargeback",
        "update_cost_allocation_rule",
        "apply_cost_allocation",
        "cost_allocation_update_now",
        "undiscover_app_self_serve",
        "get_apps_as_csv",
        "delete_field",
        "create_field_in_group",
        "create_new_app_form_group",
        "delete_app_form_group",
        "reorder_app_form_groups",
        "reorder_app_form_fields",
        "update_field_info",
        "update_group_info",
        "copy_app_data",
        "try_match_apps",
        "bulk_insert_transactions",
        "parse_existing_upload_for_expenses",
        "parse_manually",
        "update_transaction",
        "create_org_matching_rule",
        "delete_org_matching_rule",
        "update_org_matching_rule",
        "create_org_excluded_term",
        "delete_org_excluded_term",
        "update_org_excluded_term",
        "update_org_matching_rules",
        "get_transactions_as_csv",
        "apply_lifecycle_settings",
        "create_org_saml",
        "create_public_api_key",
        "delete_org_saml",
        "create_org_saml_by_source",
        "delete_public_api_key",
        "update_is_scim_enabled",
        "update_org_offboarding_properties",
        "update_org_properties",
        "update_org_saml",
        "upload_org_logo",
        "upload_org_image",
        "create_org_secret",
        "delete_org_secret",
        "update_org_secret_value",
        "delete_logo_type",
        "update_org_isToriiSupportAllowedForOrg",
        "update_extension_settings",
        "create_role",
        "delete_role",
        "update_role",
        "create_auth_token_after_test_connection",
        "invite_member",
        "login",
        "login_failed",
        "signup_as_new_user",
        "update_entity_permissions",
        "add_entity_access_link",
        "update_entity_access_link",
        "create_ai_dashboards_guest_link",
        "delete_ai_dashboards_guest_link",
        "call_run_sync",
        "sync_custom_integration",
        "sync_gluu_custom_integration",
        "update_app_account",
        "connect_",
        "generate_instant_access_url_for_service_connection_delegate",
        "create_auth_token",
        "delete_auth_token",
        "bulk_update_licenses_price",
        "bulk_update_app_licenses",
        "update_license_price",
        "upload",
        "create_upload",
        "delete_upload",
        "update_org_labs_feature",
        "create_test_connection",
        "update_org_catalog_properties",
        "trigger_app_access_request_policy",
        "bulk_trigger_app_access_request_policies",
        "create_plugin",
        "update_plugin",
        "delete_plugin",
        "install_plugin",
        "uninstall_plugin",
        "plugin_generate_api_key",
        "create_merge_users_rule",
        "update_merge_users_rule",
        "delete_merge_users_rule",
        "create_sending_domain",
        "delete_sending_domain",
        "verify_sending_domain",
        "set_sending_domain_default_sender",
        "send_sending_domain_test_email",
        "clear_sending_domain_default_sender",
        "create_anonymize_request",
        "create_report",
        "delete_report",
        "update_report",
        "get_app_users_for_renewal_forecast",
        "get_renewal_forecast_csv",
        "create_dashboard",
        "update_dashboard",
        "delete_dashboard",
        "update_workflow_action_savings_rate",
        "create_access_request_definition",
        "update_access_request_definition",
        "delete_access_request_definition",
        "trigger_access_request_profile",
        "trigger_access_request_policy_on_behalf",
        "bulk_trigger_access_request_policies_on_behalf",
        "mark_access_request_as_completed",
        "cancel_access_request",
        "decide_access_request_approval_step",
        "create_access_policy",
        "update_access_policy",
        "delete_access_policy",
        "evaluate_access_policy_manually",
        "update_access_policy_settings",
        "remediate_policy_deviation",
        "create_user_group",
        "update_user_group",
        "delete_user_group"
      ]
    },
    "enabledTypes": {
      "type": "object"
    },
    "Model2": {
      "type": "object",
      "properties": {
        "personalData": {
          "type": "boolean"
        },
        "creditCard": {
          "type": "boolean"
        },
        "credentials": {
          "type": "boolean"
        }
      },
      "required": [
        "personalData",
        "creditCard",
        "credentials"
      ]
    },
    "op": {
      "type": "object"
    },
    "value": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "Model3": {
      "type": "object",
      "properties": {
        "id": {
          "type": "number"
        },
        "op": {
          "type": "string",
          "x-alternatives": [
            {
              "type": "string"
            },
            {
              "$ref": "#/x-alt-definitions/op"
            }
          ]
        },
        "value": {
          "$ref": "#/components/schemas/Model28"
        },
        "key": {
          "type": "string",
          "x-alternatives": [
            {
              "type": "string"
            },
            {
              "$ref": "#/x-alt-definitions/op"
            }
          ]
        }
      }
    },
    "filters": {
      "type": "array",
      "items": {
        "$ref": "#/x-alt-definitions/Model3"
      }
    },
    "Model4": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "filters": {
          "$ref": "#/x-alt-definitions/filters"
        }
      },
      "required": [
        "id",
        "filters"
      ]
    },
    "usersFilter": {
      "type": "array",
      "items": {
        "$ref": "#/x-alt-definitions/Model4"
      }
    },
    "Model5": {
      "type": "array",
      "items": {
        "$ref": "#/x-alt-definitions/Model3"
      }
    },
    "CurrencyValue": {
      "type": "object",
      "properties": {
        "value": {
          "type": "integer",
          "description": "Amount in smallest currency unit (e.g. cents)"
        },
        "currency": {
          "type": "string",
          "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
        }
      },
      "required": [
        "value",
        "currency"
      ]
    },
    "Model6": {
      "type": "array",
      "maxItems": 100,
      "items": {
        "$ref": "#/x-alt-definitions/Model3"
      }
    },
    "Model7": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "filters": {
          "$ref": "#/x-alt-definitions/Model6"
        }
      },
      "required": [
        "id",
        "filters"
      ]
    },
    "Model8": {
      "type": "array",
      "maxItems": 100,
      "items": {
        "$ref": "#/x-alt-definitions/Model7"
      }
    },
    "Model9": {
      "type": "array",
      "maxItems": 100,
      "items": {
        "$ref": "#/x-alt-definitions/Model3"
      }
    }
  },
  "servers": [
    {
      "url": "https://api.toriihq.com/v1.0"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer"
      }
    },
    "schemas": {
      "lifecycleStatus": {
        "type": "string",
        "description": "Lifecycle status",
        "example": "active",
        "enum": [
          "active",
          "offboarding",
          "offboarded"
        ]
      },
      "status": {
        "type": "string",
        "description": "The user status in Torii",
        "example": "active",
        "enum": [
          "active",
          "invited",
          "reporting",
          "deleted"
        ]
      },
      "primaryOwner": {
        "type": "object",
        "properties": {
          "firstName": {
            "type": "string",
            "example": "Tony"
          },
          "lastName": {
            "type": "string",
            "example": "Tony"
          },
          "photoUrl": {
            "type": "string",
            "example": "www.photo.com"
          },
          "lifecycleStatus": {
            "$ref": "#/components/schemas/lifecycleStatus"
          },
          "fullName": {
            "type": "string",
            "example": "Tony"
          },
          "isDeletedInIdentitySources": {
            "type": "boolean",
            "example": true
          },
          "id": {
            "type": "integer",
            "description": "Unique identifier",
            "example": 1000,
            "minimum": 1
          },
          "email": {
            "type": "string",
            "description": "Email address",
            "example": "tony@stark.com",
            "x-format": {
              "email": {
                "minDomainSegments": 1,
                "tlds": false
              }
            },
            "x-convert": {
              "case": "lower"
            }
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "Currency": {
        "type": "object",
        "description": "Annual cost per license (always null in summary)",
        "properties": {
          "value": {
            "type": "integer",
            "description": "Amount in smallest currency unit (e.g. cents)"
          },
          "currency": {
            "type": "string",
            "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
          }
        }
      },
      "Model1": {
        "type": "object",
        "description": "Total annual cost across all licenses in organization default currency",
        "properties": {
          "value": {
            "type": "integer",
            "description": "Amount in smallest currency unit (e.g. cents)"
          },
          "currency": {
            "type": "string",
            "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
          }
        }
      },
      "Model2": {
        "type": "object",
        "description": "Estimated annual savings from inactive/unassigned licenses in organization default currency",
        "properties": {
          "value": {
            "type": "integer",
            "description": "Amount in smallest currency unit (e.g. cents)"
          },
          "currency": {
            "type": "string",
            "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
          }
        }
      },
      "LicenseSummaryFields": {
        "type": "object",
        "properties": {
          "totalAmount": {
            "type": "integer",
            "description": "Total number of licenses"
          },
          "activeAmount": {
            "type": "integer",
            "description": "Number of active licenses"
          },
          "inactiveAmount": {
            "type": "integer",
            "description": "Number of inactive licenses"
          },
          "unassignedAmount": {
            "type": "integer",
            "description": "Number of unassigned licenses"
          },
          "pricePerLicense": {
            "$ref": "#/components/schemas/Currency"
          },
          "annualCost": {
            "$ref": "#/components/schemas/Model1"
          },
          "potentialSavings": {
            "$ref": "#/components/schemas/Model2"
          }
        }
      },
      "Model3": {
        "type": "object",
        "description": "Annual cost per license in license original currency",
        "properties": {
          "value": {
            "type": "integer",
            "description": "Amount in smallest currency unit (e.g. cents)"
          },
          "currency": {
            "type": "string",
            "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
          }
        }
      },
      "Model4": {
        "type": "object",
        "description": "Total annual cost in license original currency",
        "properties": {
          "value": {
            "type": "integer",
            "description": "Amount in smallest currency unit (e.g. cents)"
          },
          "currency": {
            "type": "string",
            "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
          }
        }
      },
      "Model5": {
        "type": "object",
        "description": "Estimated annual savings in license original currency",
        "properties": {
          "value": {
            "type": "integer",
            "description": "Amount in smallest currency unit (e.g. cents)"
          },
          "currency": {
            "type": "string",
            "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
          }
        }
      },
      "Model6": {
        "type": "object",
        "description": "Annual cost per license converted to organization default currency",
        "properties": {
          "value": {
            "type": "integer",
            "description": "Amount in smallest currency unit (e.g. cents)"
          },
          "currency": {
            "type": "string",
            "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
          }
        }
      },
      "Model7": {
        "type": "object",
        "description": "Total annual cost converted to organization default currency",
        "properties": {
          "value": {
            "type": "integer",
            "description": "Amount in smallest currency unit (e.g. cents)"
          },
          "currency": {
            "type": "string",
            "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
          }
        }
      },
      "Model8": {
        "type": "object",
        "description": "Estimated annual savings converted to organization default currency",
        "properties": {
          "value": {
            "type": "integer",
            "description": "Amount in smallest currency unit (e.g. cents)"
          },
          "currency": {
            "type": "string",
            "description": "ISO 4217 currency code (e.g. \"USD\", \"EUR\")"
          }
        }
      },
      "LicenseType": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "License type name (e.g. \"Enterprise\", \"Member\", \"Guest\")"
          },
          "totalAmount": {
            "type": "integer",
            "description": "Total number of licenses"
          },
          "activeAmount": {
            "type": "integer",
            "description": "Number of active licenses"
          },
          "inactiveAmount": {
            "type": "integer",
            "description": "Number of inactive licenses"
          },
          "unassignedAmount": {
            "type": "integer",
            "description": "Number of unassigned licenses"
          },
          "pricePerLicense": {
            "$ref": "#/components/schemas/Model3"
          },
          "annualCost": {
            "$ref": "#/components/schemas/Model4"
          },
          "potentialSavings": {
            "$ref": "#/components/schemas/Model5"
          },
          "pricePerLicenseInOrgCurrency": {
            "$ref": "#/components/schemas/Model6"
          },
          "annualCostInOrgCurrency": {
            "$ref": "#/components/schemas/Model7"
          },
          "potentialSavingsInOrgCurrency": {
            "$ref": "#/components/schemas/Model8"
          }
        }
      },
      "types": {
        "type": "array",
        "description": "Per-license-type breakdown",
        "items": {
          "$ref": "#/components/schemas/LicenseType"
        }
      },
      "LicenseSummary": {
        "type": "object",
        "properties": {
          "summary": {
            "$ref": "#/components/schemas/LicenseSummaryFields"
          },
          "types": {
            "$ref": "#/components/schemas/types"
          }
        }
      },
      "App": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Unique identifier",
            "example": 1000,
            "minimum": 1
          },
          "isHidden": {
            "type": "boolean",
            "example": false
          },
          "primaryOwner": {
            "$ref": "#/components/schemas/primaryOwner"
          },
          "name": {
            "type": "string",
            "example": "Salesforce",
            "maxLength": 255
          },
          "state": {
            "type": "string",
            "description": "Application state",
            "example": "discovered"
          },
          "url": {
            "type": "string",
            "example": "https://example.com"
          },
          "category": {
            "type": "string",
            "example": "Developer Tools",
            "maxLength": 256
          },
          "description": {
            "type": "string",
            "example": "Awesome application",
            "maxLength": 1024
          },
          "tags": {
            "type": "string",
            "example": "DevOps,Human Resource"
          },
          "licenses": {
            "$ref": "#/components/schemas/LicenseSummary"
          }
        }
      },
      "Model23": {
        "type": "object",
        "description": "App",
        "properties": {
          "app": {
            "$ref": "#/components/schemas/App"
          }
        }
      }
    }
  }
}
````